/*
JS-Datei erstellt am 2022-04-30
*/

// bodyHoehe abhängig, wie breit das Fenster ist
// und entsprechend länger oder kürzer gescrollt werden muss
const bodyHoeheBerechnen = () => {
    bodyScrollHeight = body.scrollHeight;

    // innere Höhe des Browserfensters weg,
    // weil ab da auch nicht mehr gescrollt werden kann
    bodyHoehe = bodyScrollHeight - window.innerHeight;

    // console.log('bodyScrollHeight: ' + bodyScrollHeight + ' bodyHoehe: ' + bodyHoehe);
};

const prozentAnzeige = () => {
    let scrollYPos = window.scrollY;
    let prozentAngezeigt = (scrollYPos / bodyHoehe) * 100;

    // console.log('prozentAngezeigt: ' + Math.round(prozentAngezeigt) + '%');

    // hier wird die CSS-Angabe "width" angepasst
    scrollAnzeigeSpan.style.width = `${prozentAngezeigt}%`;
};

const body = document.querySelector('body');
const scrollAnzeigeSpan = document.querySelector('#scrollAnzeige span');
let bodyHoehe;

// beim Starten
bodyHoeheBerechnen();

// beim Größe-Ändern des Browserfensters
window.addEventListener('resize', bodyHoeheBerechnen);

// beim Scrollen wird angezeigt, wie weit man schon gescrollt hat
document.addEventListener('scroll', prozentAnzeige);
